t1 = { value = 10 }
t2 = { value = 20 }

--　メタテーブル

mt = {
	__add = function(left, right) -- 加算演算子の場合の処理
			return left.value + right.value
		end
}

-- t1 にメタテーブルをセット
setmetatable(t1, mt)

print(t1 + t2)